/*
 * This file is part of TechReborn, licensed under the MIT License (MIT).
 *
 * Copyright (c) 2018 TechReborn
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

package techreborn.blocks.misc;

import net.minecraft.class_1268;
import net.minecraft.class_1657;
import net.minecraft.class_1799;
import net.minecraft.class_1937;
import net.minecraft.class_2246;
import net.minecraft.class_2338;
import net.minecraft.class_2470;
import net.minecraft.class_2680;
import net.minecraft.class_3419;
import net.minecraft.class_3965;
import reborncore.api.ToolManager;
import reborncore.api.blockentity.IMachineGuiHandler;
import reborncore.common.blocks.BlockMachineBase;
import techreborn.init.ModSounds;
import techreborn.init.TRContent;

public class BlockComputerCube extends BlockMachineBase {

	@Override
	public IMachineGuiHandler getGui() {
		return null;
	}
	
	@Override
	public boolean method_9534(class_2680 state, class_1937 worldIn, class_2338 pos, class_1657 playerIn, class_1268 hand, class_3965 hitResult) {

		class_1799 tool = playerIn.method_5998(class_1268.field_5808);
		if (!tool.method_7960() && ToolManager.INSTANCE.canHandleTool(tool)) {
			if (ToolManager.INSTANCE.handleTool(tool, pos, worldIn, playerIn, hitResult.method_17780(), false)) {
				if (playerIn.method_5715()) {
					class_1799 drop = new class_1799(TRContent.COMPUTER_CUBE, 1);
					method_9577(worldIn, pos, drop);
					worldIn.method_8465(null, playerIn.field_5987, playerIn.field_6010, playerIn.field_6035, ModSounds.BLOCK_DISMANTLE,
							class_3419.field_15245, 0.6F, 1F);
					if (!worldIn.field_9236) {
						worldIn.method_8652(pos, class_2246.field_10124.method_9564(), 2);
					}
					return true;
				}
				else {
					method_9598(worldIn.method_8320(pos), class_2470.field_11463);
					return true;
				}
			}
		}
		return false;
	}
}
